Skip to content

Instantly share code, notes, and snippets.

# The script processes multiple RST text files, computes the average for column 6, and saves the result to a new file.
# Users can specify files directly or use wildcards (e.g., *.RST).
# By default, the output filename is generated automatically.
# Brief statistics on processed data, including min/max values of column 6 and empty values per column, are displayed.
# Example call in PowerShell (wildcard):
# python C:\Users\Username\Downloads\average_column6.py "C:\Users\Username\Downloads\SMW-B-1-N-012-*.RST"
# Example call in PowerShell (explicit filenames):
# python C:\Users\Username\Downloads\average_column6.py "C:\Users\Username\Downloads\SMW-B-1-N-012-0.RST" "C:\Users\Username\Downloads\SMW-B-1-N-012-1.RST" -o "C:\Users\Username\Downloads\result.RST"
' Extraction of text data from the active AutoCAD drawing and recording it in Excel
Public row As Integer
Public sh As Sheet1
Sub CadToExcel()
Dim acadApp As AcadApplication
Dim acadDoc As AcadDocument
Dim drawingName As String
' ReplaceProjectCodeInLayoutsAndBlocks, sgrodnik, v1, 2024/10/22
' Source and descripcion: https://gist.github.com/sgrodnik/35b1b8655986ea9684e458a364e0acd9
Sub ProcessFilesFromFile()
Dim fileList As Variant
Dim filePath As String
Dim doc As AcadDocument
Dim fileNum As Integer
Dim line As String
Dim filePaths As Collection
@sgrodnik
sgrodnik / PtManagerV2-4.lsp
Created August 9, 2024 09:51
AutoCAD PointManager - script for exporting polylines to csv
;; Author: Lee Mac
;; Source: https://www.lee-mac.com/ptmanager.html
;; How to run lisps: https://www.lee-mac.com/runlisp.html
;;----------------------------=={ Point Manager }==----------------------------;;
;; ;;
;; Program will allow the user to manipulate points in the drawing or a file in ;;
;; a variety of ways, including: ;;
;; ;;
;; From File:- ;;
' ExcelMacroCreateSheets, sgrodnik, v5, 2024/09/03
' Descripcion: https://gist.github.com/sgrodnik/9844035b4a6970ec126c8db80b146bf4
Sub CreateSheets()
Dim wsList As Worksheet
Dim wsTemplate As Worksheet
Dim newSheetName As String
Dim rowCount As Long
Dim lastRow As Long
Dim i As Long
using System;
using Autodesk.Revit.UI;
using Autodesk.Revit.DB;
using Autodesk.Revit.UI.Selection;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
namespace SnrMacro
{
param (
[Parameter(Position = 0, Mandatory = $true)]
[string]$filePath
)
$lines = Get-Content $filePath
foreach ($line in $lines) {
$parts = $line -split '\t'
$oldName = $parts[0]
' ExcelMacroFindInWord, sgrodnik, v1, 2024/05/22
' Descripción: https://gist.github.com/sgrodnik/e1cb245efea342666bcff6914876fa9c
Sub FindInWord()
' Declare variables
Dim cell As Range
Dim cellText As String
Dim words As Variant
Dim lastWord As String
Dim wdApp As Object
// ==UserScript==
// @name HTML5视频播放器增强脚本
// @name:en HTML5 video player enhanced script
// @name:zh HTML5视频播放器增强脚本
// @name:zh-TW HTML5視頻播放器增強腳本
// @name:ja HTML5ビデオプレーヤーの拡張スクリプト
// @name:ko HTML5 비디오 플레이어 고급 스크립트
// @name:ru HTML5 видео плеер улучшенный скрипт
// @name:de HTML5 Video Player erweitertes Skript
// @namespace https://github.com/xxxily/h5player